%define	oname qmmp

Summary:	A set of extra plug-ins for Qmmp
Name:		qmmp-plugin-pack
Version:	1.2.0
Release:	1
License:	GPLv2+
Group:		Sound
Url:		http://qmmp.ylsoftware.com/plugins.php
Source0:	http://qmmp.ylsoftware.com/files/plugins/%{name}-%{version}.tar.bz2
Source100:	%{name}.rpmlintrc
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(libmpg123) >= 1.13.0
BuildRequires:	pkgconfig(qmmp) >= 1.2.0
BuildRequires:	pkgconfig(qmmpui) >= 1.2.0
BuildRequires:	pkgconfig(Qt5Core) >= 5.4.0
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets) >= 5.4.0
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(taglib) >= 1.10
Suggests:	%{oname}-ffap = %{EVRD}
Suggests:	%{oname}-goom = %{EVRD}
Suggests:	%{oname}-history = %{EVRD}
Suggests:	%{oname}-mpg123 = %{EVRD}
Suggests:	%{oname}-samplerate = %{EVRD}

%description
Plug-ins for Qmmp in the Qmmp Plug-in Pack:
 * FFap - enhanced Monkey's Audio (APE) decoder
   (24-bit samples and embedded cue support);
 * Goom - Goom visualizer;
 * History - shows files played by qmmp;
 * MPG123 - MPEG v1/2 layer1/2/3 decoder using of libmpg123 library;
 * Samplerate - convert sound sample rates using libsamplerate.

%files
# This empty section is needed to have the main pkg pulling in
# all the ones containing the real plugin files: wihtout this, there
# is no main rpm, but only the %%{oname}-xxx ones.

#----------------------------------------------------------------------------

%package -n %{oname}-ffap
Summary:	Qmmp FFap Input Plugin
Group:		Sound

%description -n %{oname}-ffap
This is the FFap Input Plugin for Qmmp (enhanced Monkey's Audio (APE) decoder,
24-bit samples and embedded cue support).

%files -n %{oname}-ffap
%doc AUTHORS COPYING ChangeLog.rus README README.RUS ChangeLog ChangeLog.svn
%{_libdir}/%{oname}/Input/libffap.so

#----------------------------------------------------------------------------

%package -n %{oname}-goom
Summary:	Qmmp goom visualization Plugin
Group:		Sound

%description -n %{oname}-goom
This is the Plugin for Qmmp for goom.

%files -n %{oname}-goom
%doc AUTHORS COPYING ChangeLog.rus README README.RUS ChangeLog ChangeLog.svn
%{_libdir}/%{oname}/Visual/libgoom.so

#----------------------------------------------------------------------------

%package -n %{oname}-history
Summary:	Qmmp history Plugin
Group:		Sound

%description -n %{oname}-history
This is the Plugin for Qmmp for showing last played files.

%files -n %{oname}-history
%doc AUTHORS COPYING ChangeLog.rus README README.RUS ChangeLog ChangeLog.svn
%{_libdir}/%{oname}/General/libhistory.so

#----------------------------------------------------------------------------

%package -n %{oname}-mpg123
Summary:	Qmmp MPG123 Input Plugin
Group:		Sound

%description -n %{oname}-mpg123
This is the MPG123 Input Plugin for Qmmp (MPEG v1/2 layer1/2/3 decoder
using of libmpg123 library).

%files -n %{oname}-mpg123
%doc AUTHORS COPYING ChangeLog.rus README README.RUS ChangeLog ChangeLog.svn
%{_libdir}/%{oname}/Input/libmpg123.so

#----------------------------------------------------------------------------

%package -n %{oname}-samplerate
Summary:	Qmmp sample rate conversion Plugin
Group:		Sound

%description -n %{oname}-samplerate
This is the Plugin for Qmmp for convert sample rates (using libsamplerate
library).

%files -n %{oname}-samplerate
%doc AUTHORS COPYING ChangeLog.rus README README.RUS ChangeLog ChangeLog.svn
%{_libdir}/%{oname}/Effect/libsrconverter.so

#----------------------------------------------------------------------------

%prep
%setup -q


%build
%cmake_qt5
%make


%install
%makeinstall_std -C build

%changelog

* Thu Dec 28 2017 Giovanni Mariani <mc2374@mclink.it> 1.2.0-1
- (56c6ecf) Added more plugins: goom visualizer and play history


